@ECHO OFF
:: Check if help is wanted
ECHO.%1 | FIND "?" >NUL
IF NOT ERRORLEVEL 1 GOTO Syntax
:: Only one parameter required
IF     [%1]==[] GOTO Syntax
IF NOT [%2]==[] GOTO Syntax
:: Check Windows version
VER | FIND "Windows 9" >NUL
IF ERRORLEVEL 1 GOTO Syntax
:: Check if Kix script can be found
IF NOT EXIST CompName.kix GOTO Syntax

:: Use accompanying Kix script to actually perform the job
KIX32.EXE CompName.kix $NewName=%1

:: Done
GOTO End

:Syntax
ECHO.
ECHO CompName.bat and CompName.kix,  Version 1.01 for Windows 9x
ECHO Adjust ComputerName and HostName
ECHO.
ECHO Usage:  COMPNAME  new_computer_name
ECHO.
ECHO Note:   KIX32.EXE must be located either in the current directory or
ECHO         somewhere in the PATH.
ECHO         COMPNAME.KIX must be located in the current directory.
ECHO.
ECHO Written by Rob van der Woude
ECHO http://www.robvanderwoude.com

:End
